package com.css.simulation.resource.model.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.model.CameraParam;
import api.common.pojo.vo.model.CameraVO;
import com.css.simulation.resource.model.service.CameraService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Controller
@RequestMapping("/camera")
public class CameraCtrl {

    @Autowired
    CameraService cameraService;

    /**
     * 获取列表
     */
    @RequestMapping("/getCameraList")
    @ResponseBody
    public ResponseBodyVO<List<CameraVO>> getCameraList(@RequestBody CameraParam cameraParam){
        ResponseBodyVO<List<CameraVO>> response = new ResponseBodyVO<List<CameraVO>>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(cameraService.getCameraList(cameraParam));
        return response;
    }

    /**
     * 根据id获取详情
     */
    @RequestMapping("/getCameraInfo")
    @ResponseBody
    public ResponseBodyVO<CameraVO> getCameraInfo(@RequestBody CameraParam cameraParam){
        ResponseBodyVO<CameraVO> response = new ResponseBodyVO<CameraVO>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(cameraService.getCameraInfo(cameraParam));
        return response;
    }
}
